## Utilities Utilities — Various utility routines |

## Functions

GtkWidget * | goa_util_add_row_widget ()
gboolean | goa_util_lookup_keyfile_boolean ()
gchar * | goa_util_lookup_keyfile_string ()

## Object Hierarchy

## Description

Various utility routines.

## Functions

### goa_util_add_row_widget ()

    GtkWidget *
    goa_util_add_row_widget (GtkGrid *grid,
                             gint row,
                             const gchar *label_text,
                             GtkWidget *widget);

Utility function to add `label_text` and `widget` to `table` .

#### Parameters

label_text | The text to insert on the left side or `NULL` for no label. | [allow-none]
widget | A widget to insert on the right side. |

#### Returns

The GtkWidget that was inserted (e.g. `widget` itself).

[transfer none]

### goa_util_lookup_keyfile_boolean ()

    gboolean
    goa_util_lookup_keyfile_boolean (GoaObject *object,
                                     const gchar *key);

#### Returns

### goa_util_lookup_keyfile_string ()

    gchar *
    goa_util_lookup_keyfile_string (GoaObject *object,
                                    const gchar *key);

#### Returns

## Types and Values